Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: acpi

Interfaces

### Description:

Advanced power management.

### Interfaces:

acpi_admin( domain , role )

##### Summary

All of the rules required to administrate an apm environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

acpi_append_log( domain )

##### Summary

Append apmd log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

acpi_domtrans_client( domain )

##### Summary

Execute apm in the apm domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

acpi_run_client( domain , role )

##### Summary

Execute apm in the apm domain and allow the specified role the apm domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

acpi_rw_stream_sockets( domain )

##### Summary

Read and write to apmd unix stream sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

acpi_stream_connect( domain )

##### Summary

Connect to apmd over an unix stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

acpi_use_fds( domain )

##### Summary

Use apmd file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

acpi_write_pipes( domain )

##### Summary

Write apmd unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return